apiVersion: apps/v1
kind: Deployment
metadata:
  name: e2co-app
  namespace: core
spec:
  template:
    spec:
      containers:
      - name: e2co
        env:
          #- name: SLALiteEndPoint
          #  value: "http://slalite-app:8090"
          #- name: KafkaEndPoint
          #  value: "host.docker.internal:9094"
          - name: E2CO_SLA_ENDPOINT
            value: "http://slalite-app:8090"
          - name: E2CO_CONFIGSVC_ENDPOINT
            value: "http://host.docker.internal:8000/api/"
          - name: E2CO_CONFIGSVC_CREDENTIALS
            value: "url:http://host.docker.internal:8000/api/authenticate,username:api,password:apiH2020"
          - name: E2CO_KAFKA_ENDPOINT
            value: "192.168.1.23:9095"
          - name: E2CO_KAFKA_KEYSTORE_PASSWORD
            valueFrom:
              secretKeyRef:
                name: kafka-secrets-dev
                key: atos-kafka-keystore-secret
          - name: E2CO_KAFKA_KEY_PASSWORD
            valueFrom:
              secretKeyRef:
                name: kafka-secrets-dev
                key: atos-kafka-key-secret
          - name: E2CO_KAFKA_TRUSTSTORE_PASSWORD
            valueFrom:
              secretKeyRef:
                name: kafka-secrets-dev
                key: atos-kafka-truststore-secret

      volumes:
        - name: atos-kafka-truststore
          secret:
            secretName: atos-kafka-truststore-dev
        - name: atos-kafka-keystore
          secret:
            secretName: atos-kafka-keystore-dev                
